//
//  PQCustomSpeedSettingView.swift
//  BFFramework
//
//  Created by ak on 2021/8/3.
//  功能：自定义速度界面

import Foundation

class PQCustomSpeedSettingView: UIView {
    
    //左上角返回
    lazy var backBtn: UIButton = {
        let backBtn = UIButton(type: .custom)
        backBtn.addTarget(self, action: #selector(backClick(sender:)), for: .touchUpInside)
        backBtn.setImage(UIImage(named: "customSpeedClosed"), for: .normal)
        backBtn.adjustsImageWhenHighlighted = false
        backBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#3DC1C1")
        backBtn.addCorner(corner: 30)
        return backBtn
    }()
    
    //标题
    public lazy var titleLab: UILabel = {
        let titleLab = UILabel()
        titleLab.font = UIFont.systemFont(ofSize: 14, weight: .medium)
        titleLab.textAlignment = .center
        titleLab.text = "自定义快慢速"
        titleLab.textColor =  UIColor.hexColor(hexadecimal: "#353535")
        return titleLab
    }()

    //确定
    public lazy var confirmBtn: UIButton = {
        let confirmBtn = UIButton(type: .custom)
        confirmBtn.setTitle("确定", for: .normal)
        confirmBtn.setTitleColor(.white, for: .normal)
        confirmBtn.addTarget(self, action: #selector(confirmClick(sender:)), for: .touchUpInside)
        confirmBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#3DC1C1")
        confirmBtn.titleLabel?.font = UIFont.systemFont(ofSize: 17, weight: .medium)
        return confirmBtn
    }()
 
    //取消
    public lazy var cancleBtn: UIButton = {
        let cancleBtn = UIButton(type: .custom)
        cancleBtn.setTitle("取消", for: .normal)
        cancleBtn.setTitleColor(UIColor.hexColor(hexadecimal: "#3DC1C1"), for: .normal)
        cancleBtn.backgroundColor = UIColor.hexColor(hexadecimal: "#F9F9F9")
        cancleBtn.addTarget(self, action: #selector(backClick(sender:)), for: .touchUpInside)
        cancleBtn.titleLabel?.font = UIFont.systemFont(ofSize: 17, weight: .medium)
        return cancleBtn
    }()
    
    //提示1
    lazy var customSpeedFastView: UIImageView = {
        let customSpeedFastView = UIImageView(image: UIImage(named: "customSpeedFast"))
        return customSpeedFastView
    }()
    //提示2
    lazy var customSpeedSlowView: UIImageView = {
        let customSpeedSlowView = UIImageView(image: UIImage(named: "customSpeedSlow"))
        return customSpeedSlowView
    }()


    
    override init(frame: CGRect) {
        super.init(frame: frame)
        
        addSubview(backBtn)
        
        autolayout()
  
    }
    required init?(coder _: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
    
    func autolayout() {
        
        backBtn.snp.makeConstraints { make in
            make.height.width.equalTo(24)
            make.left.equalToSuperview().offset(16)
            make.top.equalToSuperview().offset(10)
        }
        
        titleLab.snp.makeConstraints { make in
            make.height.equalTo(20)
            make.width.equalTo(150)
            make.left.equalToSuperview().offset(16)
            make.top.equalToSuperview().offset(10)
        }
        customSpeedFastView.snp.makeConstraints { make in
            make.height.width.equalTo(30)
            make.left.equalToSuperview().offset(18)
            make.top.equalToSuperview().offset(98)
        }
        
        customSpeedSlowView.snp.makeConstraints { make in
            make.height.width.equalTo(30)
            make.left.equalTo(customSpeedFastView.snp_left)
            make.top.equalTo(customSpeedFastView.snp_bottom).offset(31)
        }
        
        customSpeedFastView.snp.makeConstraints { make in
            make.height.equalTo(50)
            make.width.equalTo(61)
            make.left.equalToSuperview().offset(16)
            make.bottom.equalToSuperview().offset(60)
        }
        
        customSpeedSlowView.snp.makeConstraints { make in
            make.height.equalTo(50)
            make.width.equalTo(254)
            make.right.equalToSuperview().offset(-30)
            make.top.equalTo(customSpeedFastView.snp_top)
        }
 
    }
    
    //返回
    @objc func backClick(sender: UIButton){
        isHidden = true
    }
    
    //确认
    @objc  func confirmClick(sender: UIButton) {
    
    }
}
